eina_quad.h File Reference

## Data Structures

struct | _Eina_Quad
| Quadrangle definition. More...

## Typedefs

typedef struct _Eina_Quad | Eina_Quad
| Quadrangle definition.

## Functions

EINA_API void | eina_quad_rectangle_to (const Eina_Quad *q, Eina_Rectangle *r)
| Transform the given quadrangle to the given rectangle.
EINA_API void | eina_quad_rectangle_from (Eina_Quad *q, const Eina_Rectangle *r)
| Transform the given rectangle to the given quadrangle.
EINA_API void | eina_quad_coords_set (Eina_Quad *q, double x0, double y0, double x1, double y1, double x2, double y2, double x3, double y3)
| Sets the values of the coordinates of the given quadrangle.
EINA_API void | eina_quad_coords_get (const Eina_Quad *q, double *x0, double *y0, double *x1, double *y1, double *x2, double *y2, double *x3, double *y3)
| Gets the values of the coordinates of the given quadrangle.